# List Available S3 Credentials

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"List Available S3 Credentials"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v1/infrastructure/file_stores"}
  context={"endpoint"}
>
  
</MethodEndpoint>

List all S3 bucket credentials that exist for the current organization.

<ParamsDetails
  parameters={undefined}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"items":{"properties":{"aws_endpoint_url":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The AWS endpoint URL of your S3 bucket.","title":"AWS Endpoint URL"},"bucket_name":{"description":"The name of your S3 bucket.","title":"S3 Bucket Name","type":"string"},"credentials_id":{"description":"Unique ID of the credentials.","format":"uuid","title":"Credentials ID","type":"string"}},"required":["credentials_id","bucket_name"],"title":"ExternalS3Credentials","type":"object"},"title":"Response List Available S3 Credentials Api V1 Infrastructure File Stores Get","type":"array"}}},"description":"The list of S3 bucket credentials that exist for the current organization."},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
